# API

## Core

```rst
.. automodule:: metrics.core.model
    :members:
```

## Builder

### Attribute Manager

```rst
.. automodule:: metrics.core.builder.attribute_manager
    :members:
```

### Builder

```rst
.. automodule:: metrics.core.builder.builder
    :members:
```

### Typing Strategy

```rst
.. automodule:: metrics.core.builder.typing_strategy
    :members:
```
